//
//  GPSController.h
//  GPS
//
//  Created by Phidgets on 2015-07-16.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface GPSController : NSObject <NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetGPSHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Device Data
    IBOutlet NSBox *dataBox;
    IBOutlet NSTextField *latitudeText;
    IBOutlet NSTextField *longitudeText;
    IBOutlet NSTextField *altitudeText;
    IBOutlet NSTextField *velocityText;
    IBOutlet NSTextField *headingText;
    IBOutlet NSTextField *timeLabel;
    IBOutlet NSTextField *dateLabel;
    IBOutlet NSButton *fixAquiredCheck;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
	
	NSDateComponentsFormatter *formatter;
	NSTimer *timer;
}
@end
